%global major 0
%define libname %mklibname revenge %major
%define devname %mklibname -d revenge
%global apiversion 0.0

Name: librevenge
Version: 0.0.4
Release: %mkrel 1
Summary: A base library for writing document import filters
Group: System/Libraries

# src/lib/RVNGOLEStream.{h,cpp} are BSD
License: (LGPLv2+ or MPLv2.0) and BSD
URL: http://sourceforge.net/p/libwpd/wiki/librevenge/
Source: http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(zlib)

%description
%{name} is a base library for writing document import filters. It has
interfaces for text documents, vector graphics, spreadsheets and
presentations.

%package -n %libname
Summary: Base library for writing document import filters
Group: System/Libraries

%description -n %libname
%{name} is a base library for writing document import filters. It has
interfaces for text documents, vector graphics, spreadsheets and
presentations.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror --enable-pretty-printers
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make check

%files -n %libname
%doc COPYING.* README NEWS
%{_libdir}/%{name}-%{apiversion}.so.*
%{_libdir}/%{name}-generators-%{apiversion}.so.*
%{_libdir}/%{name}-stream-%{apiversion}.so.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/%{name}-generators-%{apiversion}.so
%{_libdir}/%{name}-stream-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-generators-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-stream-%{apiversion}.pc
%{_datadir}/gdb/auto-load%{_libdir}/%{name}-%{apiversion}.py*
%{_datadir}/gdb/auto-load%{_libdir}/%{name}-stream-%{apiversion}.py*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python

%files doc
%doc COPYING.*
%doc docs/doxygen/html



%changelog
* Thu May 19 2016 tv <tv> 0.0.4-1.mga5
+ Revision: 1016931
- new release

* Sun Feb 01 2015 tv <tv> 0.0.2-2.mga5
+ Revision: 812969
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.0.2-1.mga5
+ Revision: 812825
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-4.mga5
+ Revision: 738871
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.0.1-2.mga5
+ Revision: 658488
- fix group
- imported package librevenge

